MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Macros | Functions
Mapper.hxx File Reference
`#include <string>`
`#include "Compiler.h"`
Include dependency graph for Mapper.hxx:

Go to the source code of this file.

## Macros
#define | PLAYLIST_FILE_SUFFIX ".m3u"

## Functions
void | mapper_init (AllocatedPath &&playlist_dir)
void | mapper_finish ()
gcc_const const AllocatedPath & | map_spl_path ()
| Returns the playlist directory. More...
gcc_pure AllocatedPath | map_spl_utf8_to_fs (const char *name)
| Maps a playlist name (without the ".m3u" suffix) to a file system path. More...

## Macro Definition Documentation

#define PLAYLIST_FILE_SUFFIX ".m3u"

Definition at line 31 of file Mapper.hxx.

## Function Documentation

gcc_const const AllocatedPath& map_spl_path | ( |  | ) |

Returns the playlist directory.

gcc_pure AllocatedPath map_spl_utf8_to_fs | ( | const char * | name | ) |

Maps a playlist name (without the ".m3u" suffix) to a file system path.

Returns
  the path in file system encoding, or nullptr if mapping failed

void mapper_finish | ( |  | ) |

void mapper_init | ( | AllocatedPath && | playlist_dir | ) |